Index: /pjproject/trunk/pjsip/build/wince-evc4/pjsip_core_wince.vcp
===================================================================
--- /pjproject/trunk/pjsip/build/wince-evc4/pjsip_core_wince.vcp	(revision 1817)
+++ /pjproject/trunk/pjsip/build/wince-evc4/pjsip_core_wince.vcp	(revision 1818)
@@ -4073,8 +2839,6 @@
 !ELSEIF  "$(CFG)" == "pjsip_core_wince - Win32 (WCE emulator) Debug"
 
-DEP_CPP_SIP_D=\
+DEP_CPP_SIP_AUTH=\
 	"..\..\..\pjlib-util\include\pjlib-util\config.h"\
-	"..\..\..\pjlib-util\include\pjlib-util\dns.h"\
-	"..\..\..\pjlib-util\include\pjlib-util\resolver.h"\
 	"..\..\..\pjlib-util\include\pjlib-util\scanner.h"\
 	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_bitwise.h"\
@@ -4141,35 +2905,24 @@
 	"..\..\..\pjlib\include\pj\unicode.h"\
 	"..\..\..\pjlib\include\pjlib.h"\
-	"..\..\include\pjsip\sip_auth.h"\
 	"..\..\include\pjsip\sip_auth_msg.h"\
+	"..\..\include\pjsip\sip_auth_parser.h"\
 	"..\..\include\pjsip\sip_autoconf.h"\
 	"..\..\include\pjsip\sip_config.h"\
-	"..\..\include\pjsip\sip_dialog.h"\
-	"..\..\include\pjsip\sip_endpoint.h"\
-	"..\..\include\pjsip\sip_errno.h"\
-	"..\..\include\pjsip\sip_module.h"\
-	"..\..\include\pjsip\sip_msg.h"\
-	"..\..\include\pjsip\sip_parser.h"\
-	"..\..\include\pjsip\sip_resolve.h"\
-	"..\..\include\pjsip\sip_transaction.h"\
-	"..\..\include\pjsip\sip_transport.h"\
-	"..\..\include\pjsip\sip_types.h"\
-	"..\..\include\pjsip\sip_ua_layer.h"\
-	"..\..\include\pjsip\sip_uri.h"\
-	"..\..\include\pjsip\sip_util.h"\
+	"..\..\include\pjsip\sip_msg.h"\
+	"..\..\include\pjsip\sip_parser.h"\
+	"..\..\include\pjsip\sip_types.h"\
+	"..\..\include\pjsip\sip_uri.h"\
 	
 
 !ELSEIF  "$(CFG)" == "pjsip_core_wince - Win32 (WCE ARMV4I) Release"
 
-DEP_CPP_SIP_D=\
-	"..\..\..\pjlib-util\include\pjlib-util\scanner.h"\
-	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_bitwise.h"\
-	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_uint.h"\
-	"..\..\..\pjlib\include\pj\array.h"\
-	"..\..\..\pjlib\include\pj\assert.h"\
-	"..\..\..\pjlib\include\pj\compat\assert.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\errno.h"\
+DEP_CPP_SIP_AUTH=\
+	"..\..\..\pjlib-util\include\pjlib-util\scanner.h"\
+	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_bitwise.h"\
+	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_uint.h"\
+	"..\..\..\pjlib\include\pj\assert.h"\
+	"..\..\..\pjlib\include\pj\compat\assert.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
 	"..\..\..\pjlib\include\pj\compat\m_alpha.h"\
 	"..\..\..\pjlib\include\pj\compat\m_i386.h"\
@@ -4187,39 +2940,21 @@
 	"..\..\..\pjlib\include\pj\config.h"\
 	"..\..\..\pjlib\include\pj\config_site.h"\
-	"..\..\..\pjlib\include\pj\errno.h"\
 	"..\..\..\pjlib\include\pj\except.h"\
-	"..\..\..\pjlib\include\pj\guid.h"\
-	"..\..\..\pjlib\include\pj\hash.h"\
-	"..\..\..\pjlib\include\pj\ioqueue.h"\
-	"..\..\..\pjlib\include\pj\list.h"\
-	"..\..\..\pjlib\include\pj\list_i.h"\
-	"..\..\..\pjlib\include\pj\log.h"\
-	"..\..\..\pjlib\include\pj\os.h"\
-	"..\..\..\pjlib\include\pj\pool.h"\
-	"..\..\..\pjlib\include\pj\pool_i.h"\
-	"..\..\..\pjlib\include\pj\rand.h"\
-	"..\..\..\pjlib\include\pj\sock.h"\
-	"..\..\..\pjlib\include\pj\string.h"\
-	"..\..\..\pjlib\include\pj\string_i.h"\
-	"..\..\..\pjlib\include\pj\timer.h"\
-	"..\..\..\pjlib\include\pj\types.h"\
-	"..\..\include\pjsip\sip_auth.h"\
+	"..\..\..\pjlib\include\pj\list.h"\
+	"..\..\..\pjlib\include\pj\list_i.h"\
+	"..\..\..\pjlib\include\pj\pool.h"\
+	"..\..\..\pjlib\include\pj\pool_i.h"\
+	"..\..\..\pjlib\include\pj\string.h"\
+	"..\..\..\pjlib\include\pj\string_i.h"\
+	"..\..\..\pjlib\include\pj\types.h"\
 	"..\..\include\pjsip\sip_auth_msg.h"\
-	"..\..\include\pjsip\sip_config.h"\
-	"..\..\include\pjsip\sip_dialog.h"\
-	"..\..\include\pjsip\sip_endpoint.h"\
-	"..\..\include\pjsip\sip_errno.h"\
-	"..\..\include\pjsip\sip_module.h"\
-	"..\..\include\pjsip\sip_msg.h"\
-	"..\..\include\pjsip\sip_parser.h"\
-	"..\..\include\pjsip\sip_resolve.h"\
-	"..\..\include\pjsip\sip_transaction.h"\
-	"..\..\include\pjsip\sip_transport.h"\
-	"..\..\include\pjsip\sip_types.h"\
-	"..\..\include\pjsip\sip_ua_layer.h"\
-	"..\..\include\pjsip\sip_uri.h"\
-	"..\..\include\pjsip\sip_util.h"\
-	
-NODEP_CPP_SIP_D=\
+	"..\..\include\pjsip\sip_auth_parser.h"\
+	"..\..\include\pjsip\sip_config.h"\
+	"..\..\include\pjsip\sip_msg.h"\
+	"..\..\include\pjsip\sip_parser.h"\
+	"..\..\include\pjsip\sip_types.h"\
+	"..\..\include\pjsip\sip_uri.h"\
+	
+NODEP_CPP_SIP_AUTH=\
 	"..\..\..\pjlib\include\pj\compat\m_arm.h"\
 	"..\..\..\pjlib\include\pj\compat\sprintf.h"\
@@ -4229,14 +2964,12 @@
 !ELSEIF  "$(CFG)" == "pjsip_core_wince - Win32 (WCE ARMV4I) Debug"
 
-DEP_CPP_SIP_D=\
-	"..\..\..\pjlib-util\include\pjlib-util\scanner.h"\
-	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_bitwise.h"\
-	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_uint.h"\
-	"..\..\..\pjlib\include\pj\array.h"\
-	"..\..\..\pjlib\include\pj\assert.h"\
-	"..\..\..\pjlib\include\pj\compat\assert.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\errno.h"\
+DEP_CPP_SIP_AUTH=\
+	"..\..\..\pjlib-util\include\pjlib-util\scanner.h"\
+	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_bitwise.h"\
+	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_uint.h"\
+	"..\..\..\pjlib\include\pj\assert.h"\
+	"..\..\..\pjlib\include\pj\compat\assert.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
 	"..\..\..\pjlib\include\pj\compat\m_alpha.h"\
 	"..\..\..\pjlib\include\pj\compat\m_i386.h"\
@@ -4254,39 +2987,21 @@
 	"..\..\..\pjlib\include\pj\config.h"\
 	"..\..\..\pjlib\include\pj\config_site.h"\
-	"..\..\..\pjlib\include\pj\errno.h"\
 	"..\..\..\pjlib\include\pj\except.h"\
-	"..\..\..\pjlib\include\pj\guid.h"\
-	"..\..\..\pjlib\include\pj\hash.h"\
-	"..\..\..\pjlib\include\pj\ioqueue.h"\
-	"..\..\..\pjlib\include\pj\list.h"\
-	"..\..\..\pjlib\include\pj\list_i.h"\
-	"..\..\..\pjlib\include\pj\log.h"\
-	"..\..\..\pjlib\include\pj\os.h"\
-	"..\..\..\pjlib\include\pj\pool.h"\
-	"..\..\..\pjlib\include\pj\pool_i.h"\
-	"..\..\..\pjlib\include\pj\rand.h"\
-	"..\..\..\pjlib\include\pj\sock.h"\
-	"..\..\..\pjlib\include\pj\string.h"\
-	"..\..\..\pjlib\include\pj\string_i.h"\
-	"..\..\..\pjlib\include\pj\timer.h"\
-	"..\..\..\pjlib\include\pj\types.h"\
-	"..\..\include\pjsip\sip_auth.h"\
+	"..\..\..\pjlib\include\pj\list.h"\
+	"..\..\..\pjlib\include\pj\list_i.h"\
+	"..\..\..\pjlib\include\pj\pool.h"\
+	"..\..\..\pjlib\include\pj\pool_i.h"\
+	"..\..\..\pjlib\include\pj\string.h"\
+	"..\..\..\pjlib\include\pj\string_i.h"\
+	"..\..\..\pjlib\include\pj\types.h"\
 	"..\..\include\pjsip\sip_auth_msg.h"\
-	"..\..\include\pjsip\sip_config.h"\
-	"..\..\include\pjsip\sip_dialog.h"\
-	"..\..\include\pjsip\sip_endpoint.h"\
-	"..\..\include\pjsip\sip_errno.h"\
-	"..\..\include\pjsip\sip_module.h"\
-	"..\..\include\pjsip\sip_msg.h"\
-	"..\..\include\pjsip\sip_parser.h"\
-	"..\..\include\pjsip\sip_resolve.h"\
-	"..\..\include\pjsip\sip_transaction.h"\
-	"..\..\include\pjsip\sip_transport.h"\
-	"..\..\include\pjsip\sip_types.h"\
-	"..\..\include\pjsip\sip_ua_layer.h"\
-	"..\..\include\pjsip\sip_uri.h"\
-	"..\..\include\pjsip\sip_util.h"\
-	
-NODEP_CPP_SIP_D=\
+	"..\..\include\pjsip\sip_auth_parser.h"\
+	"..\..\include\pjsip\sip_config.h"\
+	"..\..\include\pjsip\sip_msg.h"\
+	"..\..\include\pjsip\sip_parser.h"\
+	"..\..\include\pjsip\sip_types.h"\
+	"..\..\include\pjsip\sip_uri.h"\
+	
+NODEP_CPP_SIP_AUTH=\
 	"..\..\..\pjlib\include\pj\compat\m_arm.h"\
 	"..\..\..\pjlib\include\pj\compat\sprintf.h"\
@@ -4296,14 +3011,12 @@
 !ELSEIF  "$(CFG)" == "pjsip_core_wince - Win32 (WCE MIPSIV_FP) Release"
 
-DEP_CPP_SIP_D=\
-	"..\..\..\pjlib-util\include\pjlib-util\scanner.h"\
-	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_bitwise.h"\
-	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_uint.h"\
-	"..\..\..\pjlib\include\pj\array.h"\
-	"..\..\..\pjlib\include\pj\assert.h"\
-	"..\..\..\pjlib\include\pj\compat\assert.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\errno.h"\
+DEP_CPP_SIP_AUTH=\
+	"..\..\..\pjlib-util\include\pjlib-util\scanner.h"\
+	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_bitwise.h"\
+	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_uint.h"\
+	"..\..\..\pjlib\include\pj\assert.h"\
+	"..\..\..\pjlib\include\pj\compat\assert.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
 	"..\..\..\pjlib\include\pj\compat\m_alpha.h"\
 	"..\..\..\pjlib\include\pj\compat\m_i386.h"\
@@ -4321,39 +3034,21 @@
 	"..\..\..\pjlib\include\pj\config.h"\
 	"..\..\..\pjlib\include\pj\config_site.h"\
-	"..\..\..\pjlib\include\pj\errno.h"\
 	"..\..\..\pjlib\include\pj\except.h"\
-	"..\..\..\pjlib\include\pj\guid.h"\
-	"..\..\..\pjlib\include\pj\hash.h"\
-	"..\..\..\pjlib\include\pj\ioqueue.h"\
-	"..\..\..\pjlib\include\pj\list.h"\
-	"..\..\..\pjlib\include\pj\list_i.h"\
-	"..\..\..\pjlib\include\pj\log.h"\
-	"..\..\..\pjlib\include\pj\os.h"\
-	"..\..\..\pjlib\include\pj\pool.h"\
-	"..\..\..\pjlib\include\pj\pool_i.h"\
-	"..\..\..\pjlib\include\pj\rand.h"\
-	"..\..\..\pjlib\include\pj\sock.h"\
-	"..\..\..\pjlib\include\pj\string.h"\
-	"..\..\..\pjlib\include\pj\string_i.h"\
-	"..\..\..\pjlib\include\pj\timer.h"\
-	"..\..\..\pjlib\include\pj\types.h"\
-	"..\..\include\pjsip\sip_auth.h"\
+	"..\..\..\pjlib\include\pj\list.h"\
+	"..\..\..\pjlib\include\pj\list_i.h"\
+	"..\..\..\pjlib\include\pj\pool.h"\
+	"..\..\..\pjlib\include\pj\pool_i.h"\
+	"..\..\..\pjlib\include\pj\string.h"\
+	"..\..\..\pjlib\include\pj\string_i.h"\
+	"..\..\..\pjlib\include\pj\types.h"\
 	"..\..\include\pjsip\sip_auth_msg.h"\
-	"..\..\include\pjsip\sip_config.h"\
-	"..\..\include\pjsip\sip_dialog.h"\
-	"..\..\include\pjsip\sip_endpoint.h"\
-	"..\..\include\pjsip\sip_errno.h"\
-	"..\..\include\pjsip\sip_module.h"\
-	"..\..\include\pjsip\sip_msg.h"\
-	"..\..\include\pjsip\sip_parser.h"\
-	"..\..\include\pjsip\sip_resolve.h"\
-	"..\..\include\pjsip\sip_transaction.h"\
-	"..\..\include\pjsip\sip_transport.h"\
-	"..\..\include\pjsip\sip_types.h"\
-	"..\..\include\pjsip\sip_ua_layer.h"\
-	"..\..\include\pjsip\sip_uri.h"\
-	"..\..\include\pjsip\sip_util.h"\
-	
-NODEP_CPP_SIP_D=\
+	"..\..\include\pjsip\sip_auth_parser.h"\
+	"..\..\include\pjsip\sip_config.h"\
+	"..\..\include\pjsip\sip_msg.h"\
+	"..\..\include\pjsip\sip_parser.h"\
+	"..\..\include\pjsip\sip_types.h"\
+	"..\..\include\pjsip\sip_uri.h"\
+	
+NODEP_CPP_SIP_AUTH=\
 	"..\..\..\pjlib\include\pj\compat\m_arm.h"\
 	"..\..\..\pjlib\include\pj\compat\sprintf.h"\
@@ -4363,14 +3058,12 @@
 !ELSEIF  "$(CFG)" == "pjsip_core_wince - Win32 (WCE MIPSIV_FP) Debug"
 
-DEP_CPP_SIP_D=\
-	"..\..\..\pjlib-util\include\pjlib-util\scanner.h"\
-	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_bitwise.h"\
-	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_uint.h"\
-	"..\..\..\pjlib\include\pj\array.h"\
-	"..\..\..\pjlib\include\pj\assert.h"\
-	"..\..\..\pjlib\include\pj\compat\assert.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\errno.h"\
+DEP_CPP_SIP_AUTH=\
+	"..\..\..\pjlib-util\include\pjlib-util\scanner.h"\
+	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_bitwise.h"\
+	"..\..\..\pjlib-util\include\pjlib-util\scanner_cis_uint.h"\
+	"..\..\..\pjlib\include\pj\assert.h"\
+	"..\..\..\pjlib\include\pj\compat\assert.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
 	"..\..\..\pjlib\include\pj\compat\m_alpha.h"\
 	"..\..\..\pjlib\include\pj\compat\m_i386.h"\
@@ -4388,39 +3081,21 @@
 	"..\..\..\pjlib\include\pj\config.h"\
 	"..\..\..\pjlib\include\pj\config_site.h"\
-	"..\..\..\pjlib\include\pj\errno.h"\
 	"..\..\..\pjlib\include\pj\except.h"\
-	"..\..\..\pjlib\include\pj\guid.h"\
-	"..\..\..\pjlib\include\pj\hash.h"\
-	"..\..\..\pjlib\include\pj\ioqueue.h"\
-	"..\..\..\pjlib\include\pj\list.h"\
-	"..\..\..\pjlib\include\pj\list_i.h"\
-	"..\..\..\pjlib\include\pj\log.h"\
-	"..\..\..\pjlib\include\pj\os.h"\
-	"..\..\..\pjlib\include\pj\pool.h"\
-	"..\..\..\pjlib\include\pj\pool_i.h"\
-	"..\..\..\pjlib\include\pj\rand.h"\
-	"..\..\..\pjlib\include\pj\sock.h"\
-	"..\..\..\pjlib\include\pj\string.h"\
-	"..\..\..\pjlib\include\pj\string_i.h"\
-	"..\..\..\pjlib\include\pj\timer.h"\
-	"..\..\..\pjlib\include\pj\types.h"\
-	"..\..\include\pjsip\sip_auth.h"\
+	"..\..\..\pjlib\include\pj\list.h"\
+	"..\..\..\pjlib\include\pj\list_i.h"\
+	"..\..\..\pjlib\include\pj\pool.h"\
+	"..\..\..\pjlib\include\pj\pool_i.h"\
+	"..\..\..\pjlib\include\pj\string.h"\
+	"..\..\..\pjlib\include\pj\string_i.h"\
+	"..\..\..\pjlib\include\pj\types.h"\
 	"..\..\include\pjsip\sip_auth_msg.h"\
-	"..\..\include\pjsip\sip_config.h"\
-	"..\..\include\pjsip\sip_dialog.h"\
-	"..\..\include\pjsip\sip_endpoint.h"\
-	"..\..\include\pjsip\sip_errno.h"\
-	"..\..\include\pjsip\sip_module.h"\
-	"..\..\include\pjsip\sip_msg.h"\
-	"..\..\include\pjsip\sip_parser.h"\
-	"..\..\include\pjsip\sip_resolve.h"\
-	"..\..\include\pjsip\sip_transaction.h"\
-	"..\..\include\pjsip\sip_transport.h"\
-	"..\..\include\pjsip\sip_types.h"\
-	"..\..\include\pjsip\sip_ua_layer.h"\
-	"..\..\include\pjsip\sip_uri.h"\
-	"..\..\include\pjsip\sip_util.h"\
-	
-NODEP_CPP_SIP_D=\
+	"..\..\include\pjsip\sip_auth_parser.h"\
+	"..\..\include\pjsip\sip_config.h"\
+	"..\..\include\pjsip\sip_msg.h"\
+	"..\..\include\pjsip\sip_parser.h"\
+	"..\..\include\pjsip\sip_types.h"\
+	"..\..\include\pjsip\sip_uri.h"\
+	
+NODEP_CPP_SIP_AUTH=\
 	"..\..\..\pjlib\include\pj\compat\m_arm.h"\
 	"..\..\..\pjlib\include\pj\compat\sprintf.h"\
